Bug 189883 - VMWare Player running over FC5 cannot load Windows virtual machine
VMWare Player running over FC5 cannot load Windows virtual machine
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-25 11:06 EDT by Juan Perez
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 11:27:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Perez 2006-04-25 11:06:52 EDT
Description of problem:
VMWare Player running over FC5 cannot load Windows virtual machine.

Version-Release number of selected component (if applicable):
VMware-player-1.0.1-19317.i386.rpm
kernel-2.6.16-1.2096_FC5.i686.rpm or kernel-2.6.15-1.2054_FC5.i686.rpm

How reproducible:
A virtual machine which loads under RHEL 4.0u3 or FC4 doesn't work under FC5.
The VM begins the load process with the Windows logo but never shows the
desktop. Furthermore, VMPlayer hangs the desktop.

Steps to Reproduce:
1. Install VMWare Player, apply patch, compile modules.
2. Start vmplayer application
3. Start a Virtual Machine
  
Actual results:
System hangs.

Expected results:
The virtual machine Desktop (In this case, Windows 2000 Professional)

Additional info:
I have tested several Virtual Machines, but none worked.
I think the problem is incompatibilities with new/modified kernel features.
Comment 1 Kjartan Maraas 2006-06-07 09:37:58 EDT
Could you check if this works after running setenforce 0 or booting with
selinux=0? I'm seeing this same problem with rawhide and it looks like vmware is
just spinning on creating a thread which is isn't allowed to do. Snippet from
the log:

Jun 07 13:26:29: vmx| MX: init lock: rank(intrLock)=65532
Jun 07 13:26:29: vmx| DISK: OPEN ide0:0 '/home/vms/Windows XP
Professional/Windows XP Professional.vmdk' persistent R[(null)]
Jun 07 13:26:29: vmx| FILEIO: Found a previous instance of lock file
'/home/vms/Windows XP Professional/Windows XP Professional.vmdk.WRITELOCK'. It
will be removed automatically.
Jun 07 13:26:29: vmx| MX: init lock: rank(IOGGlobalLock)=65535
Jun 07 13:26:29: vmx| MX: init condvar: IOGPendingOps
Jun 07 13:26:29: vmx| AIOGNRC: Starting 4 I/O threads.
Jun 07 13:26:29: vmx| AIOGNRC: Failed to create thread 0. Permission denied
Jun 07 13:26:29: vmx| ASSERT
/build/mts/release/bora-19175/bora/lib/thread/vthreadUL.c:524
Jun 07 13:26:29: vmx| Backtrace:
Jun 07 13:26:29: vmx| Backtrace[0] 0xbf8bd068 eip 0x805cb30
Jun 07 13:26:29: vmx| Backtrace[1] 0xbf8bd488 eip 0x80d128b
Jun 07 13:26:29: vmx| Backtrace[2] 0xbf8bd4a8 eip 0x806e3d0
Jun 07 13:26:29: vmx| Backtrace[3] 0xbf8bd578 eip 0x81e8761
Jun 07 13:26:29: vmx| Backtrace[4] 0xbf8bd5a8 eip 0x81e8b5b
Jun 07 13:26:29: vmx| Backtrace[5] 0xbf8bd5e8 eip 0x808e42f
Jun 07 13:26:29: vmx| Backtrace[6] 0xbf8bd618 eip 0x81aeb83
Jun 07 13:26:29: vmx| Backtrace[7] 0xbf8bd648 eip 0x81aed10
Jun 07 13:26:29: vmx| Backtrace[8] 0xbf8bd688 eip 0x808e42f
Jun 07 13:26:29: vmx| Backtrace[9] 0xbf8be728 eip 0x8160e06
Jun 07 13:26:29: vmx| Backtrace[10] 0xbf8bf7a8 eip 0x82440e0
Jun 07 13:26:29: vmx| Backtrace[11] 0xbf8bf818 eip 0x824570a
Jun 07 13:26:29: vmx| Backtrace[12] 0xbf8bf858 eip 0x8245af3
Jun 07 13:26:29: vmx| Backtrace[13] 0xbf8bf888 eip 0x824af12
Jun 07 13:26:29: vmx| Backtrace[14] 0xbf8bf958 eip 0x81760dd
Jun 07 13:26:29: vmx| Backtrace[15] 0xbf8bf9a8 eip 0x817b268
Jun 07 13:26:29: vmx| Backtrace[16] 0xbf8bfa28 eip 0x80836c1
Jun 07 13:26:29: vmx| Backtrace[17] 0xbf8bfa98 eip 0x809e298
Jun 07 13:26:29: vmx| Backtrace[18] 0xbf8bfaf8 eip 0x80a1ded
Jun 07 13:26:29: vmx| Backtrace[19] 0xbf8bfb48 eip 0x80a215a
Jun 07 13:26:29: vmx| Backtrace[20] 0xbf8bfbb8 eip 0x809fd3d
Jun 07 13:26:29: vmx| Backtrace[21] 0xbf8bfbe8 eip 0x80a0026
Jun 07 13:26:29: vmx| Backtrace[22] 0xbf8bfc08 eip 0x80d9bc2
Jun 07 13:26:29: vmx| Backtrace[23] 0xbf8bfc28 eip 0x80d0aa7
Jun 07 13:26:29: vmx| Backtrace[24] 0xbf8bfc58 eip 0x80d096c
Jun 07 13:26:29: vmx| Backtrace[25] 0xbf8bfca8 eip 0x804fddc
Jun 07 13:26:29: vmx| Backtrace[26] 0xbf8bfcd8 eip 0x804ed90
Jun 07 13:26:29: vmx| Backtrace[27] 0xbf8bfd38 eip 0x48c5a794
Jun 07 13:26:29: vmx| Backtrace[28] 00000000 eip 0x804df11
Jun 07 13:26:29: vmx| Dumping core...
Jun 07 13:26:29: vmx| Msg_Post: Error
Jun 07 13:26:29: vmx| [msg.vthreadPosix.createThreadFailed] Cannot start thread:
Permission denied
Jun 07 13:26:29: vmx| [msg.log.error.unrecoverable]
Jun 07 13:26:29: vmx| VMware Workstation unrecoverable error: (vmx)
Jun 07 13:26:29: vmx| ASSERT
/build/mts/release/bora-19175/bora/lib/thread/vthreadUL.c:524
Comment 2 Kjartan Maraas 2006-06-07 09:38:51 EDT
Just wanted to clarify that this was with VMWare Workstation 5.5.x latest.
Comment 3 Dave Jones 2006-10-16 17:28:45 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Kjartan Maraas 2006-10-17 05:30:28 EDT
I've moved on to FC6-to-be so I can't retest. VMware Workstation works just fine
with the latest rawhide kernels though.
Comment 5 Konrad Rzeszutek 2006-10-17 11:27:56 EDT
I am using 2.6.17-1.2187_FC5 and VMwarePlayer-1.0.2-29634 and it works.

The only problem I encountered was that yum  initially installed kernel-devel
package for i586, while I needed the i686. Manually getting it and installing
made it possible to compile the vmware modules.

Closing the bug as fixed.

Note You need to log in before you can comment on or make changes to this bug.